<?php
@session_start();

$mandant_name = $_SESSION[ "mandant_name" ];


include_once( "f_admin.php" );
include_once( "f_wfl.php" );
include_once( "kd_einsprungspunkte.php" );




///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMIN_GRUPPE" );


if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////


if ( isset( $_GET[ "cmd" ] ) )
{
	$cmd = $_GET[ "cmd" ];
	
	switch ( $cmd )
	{
		case "report_anlegen":
			$html = "report anlegen";
			break;
		
		
	}
}
else
{
	$html = liefere_basisframe();
}

echo $html;


function liefere_basisframe()
{
	$_SESSION[ "title" ] = "Administratorbereich Reports";
	include( 'ssi_header.php' );
	
	$_SESSION[ "title" ] = "";
	include( "ad_menu.php" );
	
	echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";
	
	echo '<select id="select_style_1" size="20" name="reports" onchange="fuelle_element( \'ergebnis_3\', \'\' ); ajaxFunction( \'su_web.php?cmd=liefere_gruppeninformationen&gruppen_name=\'+this.value, \'ergebnis_1\' ); ajaxFunction( \'su_web.php?cmd=liefere_gruppen_optionen&gruppen_name=\'+this.value, \'ergebnis_2\' );"  >';

	$ergebnis_1 = liefere_wertemenge_elemente( $mandant_name, "systemgruppen" );
	
	foreach ( $ergebnis_1[ 2 ] as $zeile )
	{
		echo "<option value='".$zeile[ "alpha_01" ]."'>".$zeile[ "alpha_01" ]."</option>";
	}
	
	$ergebnis_2 = liefere_alle_gruppen( $mandant_name, false );
	
	if ( $ergebnis_2[ 0 ] > 0 )
	{
		foreach ( $ergebnis_2[ 2 ] as $gruppe )
		{
			echo "<option value='".$gruppe."'>".$gruppe."</option>";
		}
	}

	echo "</select>";

	echo '<div name="ergebnis_1" id="ergebnis_1" style=" vertical-align:top;  position:absolute;  display:inline; margin-top:10px;" ></div>';
	
	echo '<div name="ergebnis_2" id="ergebnis_2" style=" margin-top:10px;" ><input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="ajaxFunction( \'ad_reports.php?cmd=report_anlegen\', \'ergebnis_3\' );" /></div>';
	
	echo '<div name="ergebnis_3" id="ergebnis_3" style=" margin-top:10px;" >'.$_SESSION[ "meldung_ad" ].'</div>';
	$_SESSION[ "meldung_ad" ] = "";
	
	echo "</div>";
	
	include( 'ssi_footer.php' );
	
}
?>






